Constructs a new Randomizer

- « Random\Randomizer

- Random\Randomizer::getBytes »

- PHP Manual
- Random\Randomizer
- Constructs a new Randomizer

# Random\Randomizer::__construct

(PHP 8 >= 8.2.0)

Random\Randomizer::__construct — Constructs a new Randomizer

### Description

public Random\Randomizer::__construct(?Random\Engine `$engine` = `null`)

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`engine`

  The Random\Engine to use to generate randomness.

  If `engine` is omitted or `null`, a new Random\Engine\Secure object will be used.

### Examples

Example #1 Random\Randomizer::__construct() example

    <?php/* ... */?>

The above example will output something similar to:

    ...